#include <SoftwareSerial.h>

// Назначение задействованных дискретных каналов

SoftwareSerial softSerial(8, 9); // RX, TX

// Дискретный канал, на котором висит встроенный светодиод

int LED = 13;

void setup(){

softSerial.begin(9600); // Инициализация программного последовательного порта

pinMode(LED, OUTPUT); // Определение светодиодного вывода как выход

}

void loop(){

// Проверяем, есть ли что-нибудь в буфере программного последовательного порта

if (softSerial.available()){

// Читаем один символ из буфера программного последовательного порта и сохраняем его переменную com

int com = softSerial.read();

// Действуем соответственно полученному символу

if (com == 'x'){

// Выключение светодиода

digitalWrite(LED, LOW);
softSerial.write("off");

}

else if (com == 'a'){

// Включение светодиода

digitalWrite(LED, HIGH);
softSerial.write("on");
}

}

}
